Summary:	Evolution extension for Exchange MAPI
Summary(pl.UTF-8):	Rozszerzenie Evolution dla Exchange MAPI
Name:		evolution-mapi
Version:	3.54.0
Release:	3
License:	LGPL v2+
Group:		X11/Applications/Mail
Source0:	https://download.gnome.org/sources/evolution-mapi/3.54/%{name}-%{version}.tar.xz
# Source0-md5:	0b689bc4dfe789c2ea86bb76940e7a36
URL:		https://gitlab.gnome.org/GNOME/evolution/-/wikis/home
BuildRequires:	cmake >= 3.15
BuildRequires:	evolution-data-server-devel >= %{version}
BuildRequires:	evolution-data-server-gtk3-devel >= %{version}
BuildRequires:	evolution-devel >= %{version}
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.46
BuildRequires:	gtk+3-devel >= 3.10
BuildRequires:	gtk-doc >= 1.9
BuildRequires:	intltool >= 0.35.5
BuildRequires:	libical-devel
BuildRequires:	openchange-devel >= 2.3
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.605
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	evolution >= %{version}
Requires:	evolution-data-server >= %{version}
Requires:	glib2 >= 1:2.46
Requires:	gtk+3 >= 3.10
Requires:	openchange-libs >= 2.3
Obsoletes:	evolution-mapi-libs < 3.24.0
Obsoletes:	evolution-mapi-devel < 3.24.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package allows Evolution to interact with Microsoft Exchange
(2007 and later) and OpenChange servers via MAPI.

%description -l pl.UTF-8
Ten pakiet pozwala programowi Evolution współpracować z serwerami
Microsoft Exchange (w wersji 2007 lub nowszej) lub OpenChange poprzez
MAPI.

%prep
%setup -q

%build
%cmake -B build \
        -DLIBEXEC_INSTALL_DIR=%{_libexecdir} \
        -DENABLE_SCHEMAS_COMPILE=OFF

%{__make} -C build

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS
%dir %{_libdir}/evolution-mapi
%attr(755,root,root) %{_libdir}/evolution-mapi/libcamelmapi-priv.so
%attr(755,root,root) %{_libdir}/evolution-mapi/libevolution-mapi.so
%attr(755,root,root) %{_libdir}/evolution-data-server/addressbook-backends/libebookbackendmapi.so
%attr(755,root,root) %{_libdir}/evolution-data-server/calendar-backends/libecalbackendmapi.so
%attr(755,root,root) %{_libdir}/evolution-data-server/camel-providers/libcamelmapi.so
%{_libdir}/evolution-data-server/camel-providers/libcamelmapi.urls
%attr(755,root,root) %{_libdir}/evolution-data-server/registry-modules/module-mapi-backend.so
%attr(755,root,root) %{_libdir}/evolution/modules/module-mapi-configuration.so
%{_datadir}/evolution-data-server/mapi
%{_datadir}/metainfo/org.gnome.Evolution-mapi.metainfo.xml
%changelog
* Fri Nov 22 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/evolution-mapi.git;a=log;h=master

* Fri Nov 22 2024 Jan Palus <atler@pld-linux.org> 711f174
- samba 4.21.x rebuild

* Sun Oct 13 2024 Jan Palus <atler@pld-linux.org> 0197a36
- samba 4.20.5 rebuild

* Mon Sep 23 2024 Jakub Bogusz <qboosh@pld-linux.org> 62dd9eb
- updated to 3.54.0 (GNOME 47)

* Sun Aug 04 2024 Jan Palus <atler@pld-linux.org> dd11b2d
- samba 4.20.3 rebuild

* Fri May 24 2024 Jakub Bogusz <qboosh@pld-linux.org> e6bbffb
- updated to 3.52.1

* Mon Apr 29 2024 Jakub Bogusz <qboosh@pld-linux.org> 37cbc16
- updated to 3.52.0

* Tue Apr 09 2024 Jan Palus <atler@pld-linux.org> 5250814
- samba 4.20.0 rebuild

* Sun Jan 07 2024 Jakub Bogusz <qboosh@pld-linux.org> 18ed58f
- updated to 3.50.1

* Sun Oct 15 2023 Jakub Bogusz <qboosh@pld-linux.org> 332f823
- updated to 3.50.0

* Mon Jul 24 2023 Jakub Bogusz <qboosh@pld-linux.org> a6d8123
- updated to 3.48.1 (GNOME 44)

* Sun May 21 2023 Jakub Bogusz <qboosh@pld-linux.org> d2c61a0
- updated to 3.46.1

* Wed Mar 22 2023 Jan Rękorajski <baggins@pld-linux.org> 0138009
- Release 2 (by relup.sh)

* Sun Jun 05 2022 Jakub Bogusz <qboosh@pld-linux.org> 6f5ba1e
- updated to 3.44.2

* Fri Apr 22 2022 Jakub Bogusz <qboosh@pld-linux.org> a7232df
- updated to 3.44.1

* Tue Apr 05 2022 Jakub Bogusz <qboosh@pld-linux.org> 0463747
- updated to 3.44.0

* Fri Oct 29 2021 Jakub Bogusz <qboosh@pld-linux.org> e11439b
- updated to 3.42.1

* Fri Sep 24 2021 Jakub Bogusz <qboosh@pld-linux.org> 8d60814
- updated to 3.42.0

* Thu May 06 2021 Jakub Bogusz <qboosh@pld-linux.org> 38cf956
- updated to 3.40.1

* Thu Mar 25 2021 Jakub Bogusz <qboosh@pld-linux.org> 9f0fb70
- updated to 3.40.0
- versioned Obsoletes

* Sat Jan 09 2021 Jakub Bogusz <qboosh@pld-linux.org> c559178
- updated to 3.38.3

